package com.kingdee.eas.custom.erp;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.Context;
import com.kingdee.bos.BOSException;
import com.kingdee.eas.custom.erp.*;
import java.lang.String;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.util.*;

public class synPositionDisable extends AbstractBizCtrl implements IsynPositionDisable
{
    public synPositionDisable()
    {
        super();
        registerInterface(IsynPositionDisable.class, this);
    }
    public synPositionDisable(Context ctx)
    {
        super(ctx);
        registerInterface(IsynPositionDisable.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("BC6B4DFA");
    }
    private synPositionDisableController getController() throws BOSException
    {
        return (synPositionDisableController)getBizController();
    }
    /**
     *同步禁用岗位-User defined method
     *@param startDate 开始时间 (格式: yyyy-mm-dd hh:mm:ss)
     *@param endDate 结束时间 (格式: yyyy-mm-dd hh:mm:ss)
     */
    public void synPositionDisable(String startDate, String endDate) throws BOSException
    {
        try {
            getController().synPositionDisable(getContext(), startDate, endDate);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}